Botan 2.13.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Namespaces | Functions
fpe_fe1.cpp File Reference
`#include <botan/fpe_fe1.h>`
`#include <botan/loadstor.h>`
`#include <botan/numthry.h>`
`#include <botan/divide.h>`
`#include <botan/reducer.h>`
`#include <botan/mac.h>`

Go to the source code of this file.

## Namespaces
| Botan
| Botan::FPE

## Functions
BigInt | Botan::FPE::fe1_decrypt (const BigInt &n, const BigInt &X, const SymmetricKey &key, const std::vector< uint8_t > &tweak)
BigInt | Botan::FPE::fe1_encrypt (const BigInt &n, const BigInt &X, const SymmetricKey &key, const std::vector< uint8_t > &tweak)